%define        distroname                  openmamba
%define        majversion                  %(echo %version | cut -d. -f 1-2)
%define        mozilla_version             %(echo %version | cut -d. -f 1)
%define        tbdir                       %{_libdir}/thunderbird
%define        basever %(echo %version | sed "s|esr||")
#%define        enable_debug_info           0
#%define        build_langpack              1
#%define        with_calendar               0
#%define        source_dir                  comm-esr%(echo %version | cut -d. -f1)

Name:          thunderbird
Epoch:         1
Version:       128.5.0esr
Release:       1mamba
Summary:       Mozilla Thunderbird email, RSS, and newsgroup client
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.mozilla.org/Thunderbird:Home_Page
Source0:       https://archive.mozilla.org/pub/thunderbird/releases/%{version}/source/thunderbird-%{version}.source.tar.xz
Source1:       thunderbird-%{version}-langpacks.tar.bz2
Source2:       thunderbird.desktop
Source3:       mozilla-thunderbird128x128.png
Source4:       thunderbird-script
Source5:       thunderbird-autoupdate
Source6:       thunderbird-distribution.ini
Patch0:        thunderbird-115.5.0-icu-74.1.patch
Patch1:        thunderbird-115.13.0-fix-libc++-18-ignore-tuple-harder.patch
Patch2:        thunderbird-115.13.0-llvm-18-variable-does-not-need-to-be-mutable.patch
Patch3:        thunderbird-115.13.0-rustc-18-1.patch
Patch4:        thunderbird-115.13.0-rustc-18-2.patch
License:       GPL,MPL 1.1,LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: firefox
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libbotan2-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libevent-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-turbo
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvpx-devel
BuildRequires: libwebp-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: ImageMagick-devel
BuildRequires: libglitz-devel
BuildRequires: libICE-devel
BuildRequires: libIDL-devel
BuildRequires: libiw-devel
BuildRequires: libkrb5-devel
BuildRequires: libpopt-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libSM-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: unzip
BuildRequires: xorg-proto-devel
BuildRequires: zip
BuildRequires: libbotan2-devel
BuildRequires: libnotify-devel
BuildRequires: libsqlite-devel
BuildRequires: rustc

%description
The Mozilla Thunderbird project is a redesign of Mozilla's email/news component, written using the XUL user interface language and designed to be cross-platform.
Clarification: "Mozilla Thunderbird" is just a project name, in the same way as the Mozilla Application Suite is codenamed "SeaMonkey". For more details, read about the Mozilla Branding Strategy and the Mozilla Roadmap.
If you're interested in where we're going and when we expect to get there then you probably want the Mozilla Thunderbird Roadmap.We track bugs using Bugzilla. 
Because the project is small and tightly managed, bugs targeted to a particular milestone generally will be fixed by that milestone. In fact, our milestone releases are bug-driven, not date-driven. Before filing any bugs on Mozilla Thunderbird, please read the bug filing instructions.

%package devel
Summary:       Devel files for %{name}
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The Mozilla Thunderbird project is a redesign of Mozilla's email/news component, written using the XUL user interface language and designed to be cross-platform.
Clarification: "Mozilla Thunderbird" is just a project name, in the same way as the Mozilla Application Suite is codenamed "SeaMonkey". For more details, read about the Mozilla Branding Strategy and the Mozilla Roadmap.
If you're interested in where we're going and when we expect to get there then you probably want the Mozilla Thunderbird Roadmap.We track bugs using Bugzilla. 
Because the project is small and tightly managed, bugs targeted to a particular milestone generally will be fixed by that milestone. In fact, our milestone releases are bug-driven, not date-driven. Before filing any bugs on Mozilla Thunderbird, please read the bug filing instructions.
This package contains static libraries and header files need for development.

%define lang_subpkg() \
%package langpack-%{1}\
Summary:       %{2} language support for Thunderbird\
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}\
Obsoletes:     %{name}-i18n-%{1} < 78.8.1\
Supplements:   (%{name} = %{?epoch:%epoch:}%{version}-%{release} and langpacks-%{1})\
\
%description langpack-%{1}\
This package contains the %{2} language support files for Thunderbird.\
\
%files langpack-%{1}\
%defattr(-,root,root)\
%{_libdir}/thunderbird/distribution/extensions/langpack-%{1}@thunderbird.mozilla.org.xpi

%lang_subpkg af Afrikaans
%lang_subpkg ar Arabic
%lang_subpkg ast Asturian
%lang_subpkg be Belarusian
%lang_subpkg bg Bulgarian
#% lang_subpkg bn-BD %{quote:Bengali (Bangladesh)}
%lang_subpkg br Breton
%lang_subpkg ca Catalan
%lang_subpkg cak Kaqchikel
%lang_subpkg cs Czech
%lang_subpkg cy %{quote:Cymraeg (GB)}
%lang_subpkg da Danish
%lang_subpkg de German
%lang_subpkg dsb %{quote:Lower Sorbian}
%lang_subpkg el Greek
%lang_subpkg en-CA %{quote:English (Canada)}
%lang_subpkg en-GB %{quote:English (British)}
%lang_subpkg en-US %{quote:English (USA)}
%lang_subpkg es-AR %{quote:Spanish (Latin American)}
%lang_subpkg es-ES Spanish
%lang_subpkg es-MX %{quote:Spanish (Mexico)}
%lang_subpkg et Estonian
%lang_subpkg eu Basque
#% lang_subpkg fa %{quote:Persian - Farsi (IR)}
%lang_subpkg fi Finnish
%lang_subpkg fr French
%lang_subpkg fy-NL Frisian
%lang_subpkg ga-IE Irish
%lang_subpkg gd %{quote:Scottish Gaelic}
%lang_subpkg gl %{quote:Galician (Galiza)}
%lang_subpkg he Hebrew
%lang_subpkg hr %{quote:Hrvatski (HR)}
%lang_subpkg hsb %{quote:Upper Sorbian}
%lang_subpkg hu Hungarian
%lang_subpkg hy-AM %{quote:Armenian (AM)}
%lang_subpkg id %{quote:Bahasa Indonesia}
%lang_subpkg is Icelandic
%lang_subpkg it Italian
%lang_subpkg ja Japanese
%lang_subpkg ka Georgian
%lang_subpkg kab Kabyle
%lang_subpkg kk %{quote:Kazakh (KZ)}
%lang_subpkg ko Korean
%lang_subpkg lt Lithuanian
%lang_subpkg lv Latvian
#% lang_subpkg mk Macedonian
%lang_subpkg ms Malay
%lang_subpkg nb-NO %{quote:Norwegian Bokmål}
%lang_subpkg nl Dutch
%lang_subpkg nn-NO %{quote:Norwegian Nynorsk}
%lang_subpkg pa-IN %{quote:Punjabi (IN)}
%lang_subpkg pl Polish
%lang_subpkg pt-BR %{quote:Portuguese (Brazilian)}
%lang_subpkg pt-PT Portuguese
%lang_subpkg rm Rumantsch
%lang_subpkg ro Romanian
%lang_subpkg ru Russian
#% lang_subpkg si %{quote:Sinhala (si-LK)}
%lang_subpkg sk Slovak
%lang_subpkg sl Slovenian
%lang_subpkg sq Albanian
%lang_subpkg sr %{quote:Српски (sr)}
%lang_subpkg sv-SE Swedish
#% lang_subpkg ta-LK %{quote:Tamil (Sri Lanka)}
#% lang_subpkg ta Tamil
#% lang_subpkg te %{quote:Telugu (IN)}
%lang_subpkg th Thai
%lang_subpkg tr Turkish
%lang_subpkg uk %{quote:Ukrainian (UA)}
%lang_subpkg uz Uzbek
%lang_subpkg vi %{quote:Tiếng Việt (VN)}
%lang_subpkg zh-CN %{quote:Chinese (Simplified)}
%lang_subpkg zh-TW %{quote:Chinese (Traditional)}

#% debug_package

%prep
%setup -q -c
#-D -T
#:<< ___EOF
mv thunderbird-* thunderbird
cd thunderbird

# Don't clean build at the end
#% global __spec_rmbuild_cmd /bin/true

%global __provides_exclude_from ^%{_libdir}/thunderbird/.*$
%global __requires_exclude ^(libxul\\.so.*|libldap.*\\.so.*|libldif.*\\.so.*|libmoz.*\\.so.*|libprldap.*\\.so.*|librnp\\.so.*)$

%define _default_patch_fuzz 2
%patch 0 -p1 -b .icu-74.1
#%patch 1 -p1 -b .fix-libc++-18-ignore-tuple-harder
#%patch 2 -p1 -b .llvm-18-variable-does-not-need-to-be-mutable
#%patch 3 -p1 -b .rustc-18-1
#%patch 4 -p1 -b .rustc-18-2

rm -f .mozconfig
cat << EOF > .mozconfig
ac_add_options --enable-application=comm/mail

ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --enable-release
# ac_add_options --enable-linker=ld
ac_add_options --enable-hardening
ac_add_options --enable-optimize
# https://bugzilla.mozilla.org/show_bug.cgi?id=1521249
ac_add_options --enable-rust-simd
# https://bugzilla.mozilla.org/show_bug.cgi?id=1423822
%ifarch %{ix86} x86_64
ac_add_options --disable-elf-hack
%endif

# Branding
ac_add_options --enable-official-branding
ac_add_options --enable-update-channel=release
ac_add_options --with-distribution-id=org.openmamba

# System libraries
ac_add_options --with-system-zlib
ac_add_options --with-system-bz2
ac_add_options --with-system-icu
ac_add_options --with-system-jpeg
# does not have APNG support
#ac_add_options --with-system-png
ac_add_options --with-system-libvpx
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-botan
ac_add_options --with-system-webp
ac_add_options --with-system-libevent
ac_add_options --enable-system-ffi
ac_add_options --enable-system-pixman
# TODO
ac_add_options --without-wasm-sandboxed-libraries

# Features
ac_add_options --enable-alsa
#ac_add_options --enable-openpgp
#ac_add_options --enable-calendar
ac_add_options --disable-jack
ac_add_options --disable-crashreporter
ac_add_options --disable-updater
#ac_add_options --disable-tests
%ifarch %{ix86}
ac_add_options --disable-debug-symbols
%endif

# System addons
ac_add_options --with-unsigned-addon-scopes=app,system
ac_add_options --allow-addon-sideload
EOF

# Fix build with rust:
# error: the listed checksum of `third_party/rust/bindgen/ir/item.rs` has changed:
sed -e 's|73114a5c28472e77082ad259113ffafb418ed602c1741f26da3e10278b0bf93e|a88d6cc10ec1322b53a8f4c782b5133135ace0fdfcf03d1624b768788e17be0f|' \
   -i third_party/rust/mp4parse/.cargo-checksum.json
sed -e 's|880c982df0843cbdff38b9f9c3829a2d863a224e4de2260c41c3ac69e9148ad4|239b3e4d20498f69ed5f94481ed932340bd58cb485b26c35b09517f249d20d11|' \
   -i third_party/rust/bindgen/.cargo-checksum.json

#%if %enable_debug_info
#echo "export CFLAGS="-gstabs+"" >> .mozconfig
#echo "export CXXFLAGS="-gstabs+"" >> .mozconfig
#echo "export MOZ_DEBUG_SYMBOLS="1"" >> .mozconfig
#%endif

#__EOF

%build
#:<< ___EOF
cd thunderbird
export PYTHON=%{__python3}

# Pass libstdc++ headers dirs to clang 
export CXXFLAGS="$(echo | gcc -Wp,-v -x c++ - -fsyntax-only 2>&1| grep "^ %{_libdir}"|grep "c++"|while read line; do echo -n "-I$line "; done)"

%ifarch aarch64 %{ix86}
#export LDFLAGS="-Wl,--no-keep-memory -Wl,--reduce-memory-overheads"
export RUSTFLAGS="-Cdebuginfo=0"
%endif

export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none
./mach configure
./mach build

./mach buildsymbols

#__EOF

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd thunderbird
export DESTDIR=%{buildroot}
./mach install

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --mode=644 --dir %{buildroot}%{_datadir}/applications %{S:2}

for i in 16 22 24 32 48 64 128 256 ; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
  cp comm/mail/branding/thunderbird/default${i}.png \
    %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/thunderbird.png
done
install -D -m644 comm/mail/branding/thunderbird/TB-symbolic.svg \
    %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps/thunderbird-symbolic.svg

# FIXME handle system/user preferences with xdg-open
cat > %{buildroot}%{_libdir}/thunderbird/defaults/pref/vendor-prefs.js << _EOF
// Use LANG environment variable to choose locale
pref("intl.locale.requested", "");

// Use system-provided dictionaries
pref("spellchecker.dictionary_path", "/usr/share/myspell");

// Disable default mailer checking
pref("mail.shell.checkDefaultMail", false);

// Don't disable our bundled extensions in the application directory
pref("extensions.autoDisableScopes", 11);
pref("extensions.shownSelectionUI", true);

// Disable telemetry
pref("datareporting.healthreport.uploadEnabled", false);
pref("datareporting.policy.dataSubmissionEnabled", false);
pref("toolkit.telemetry.archive.enabled", false);

// Disable automatic updates
pref("app.update.enabled", false);
pref("app.update.autoInstallEnabled", false);

// Allow users to set custom colors
// pref("browser.display.use_system_colors", true);
pref("mail.shell.checkDefaultClient", false);
pref("toolkit.networkmanager.disable", false);

// Disable global indexing by default
pref("mailnews.database.global.indexer.enabled", false);

// Do not switch to Smart Folders after upgrade to 3.x
//pref("mail.folder.views.version", "1");
//pref("network.protocol-handler.warn-external.ftp", true);
//pref("network.protocol-handler.warn-external.http", true);
//pref("network.protocol-handler.warn-external.https", true);
_EOF


install -D -m0644 %{SOURCE6} %{buildroot}%{tbdir}/distribution/distribution.ini
install -d %{buildroot}%{tbdir}/distribution/extensions

tar -C %{buildroot}%{tbdir}/distribution/extensions/ -xjf %{SOURCE1}
pushd %{buildroot}%{tbdir}/distribution/extensions/
for f in *.xpi; do mv $f langpack-${f/.*}@thunderbird.mozilla.org.xpi; done
popd

# Use system-provided dictionaries
ln -Ts ../../share/myspell %{buildroot}%{tbdir}/dictionaries
ln -Ts ../../share/hyphen %{buildroot}%{tbdir}/hyphenation

mkdir -p %{buildroot}%{tbdir}/components
touch %{buildroot}%{tbdir}/components/compreg.dat
touch %{buildroot}%{tbdir}/components/xpti.dat

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pretrans -p <lua>
-- Define the path to directory being replaced below.
-- DO NOT add a trailing slash at the end.
path = "%{tbdir}/dictionaries"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end

%posttrans
[ -e %{tbdir}/dictionaries.rpmmoved ] && rm -rf %{tbdir}/dictionaries.rpmmoved
:

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
:

%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
:

%files
%defattr(-,root,root)
%{_bindir}/thunderbird
%{_datadir}/applications/thunderbird.desktop
%{_datadir}/icons/hicolor/*x*/apps/thunderbird.png
%{_datadir}/icons/hicolor/symbolic/apps/thunderbird-symbolic.svg
%dir %{_libdir}/thunderbird
%{_libdir}/thunderbird/*
%ghost %{_libdir}/thunderbird/components/compreg.dat
%ghost %{_libdir}/thunderbird/components/xpti.dat
%exclude %{_libdir}/thunderbird/distribution/extensions/langpack-*@thunderbird.mozilla.org.xpi

%changelog
* Thu Nov 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 128.5.0esr-1mamba
- update to 128.5.0esr

* Tue Oct 29 2024 Automatic Build System <autodist@mambasoft.it> 128.3.3-1mamba
- automatic version update by autodist

* Fri Oct 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 128.3.0-1mamba
- update to 128.3.0

* Sun Jul 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 115.13.0-1mamba
- update to 115.13.0
- roll back to stable supported release (epoch bump)

* Thu Jun 13 2024 Automatic Build System <autodist@openmamba.org> 127.0-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 125.0-1mamba
- automatic version update by autodist

* Tue Mar 05 2024 Automatic Build System <autodist@openmamba.org> 115.8.1-1mamba
- automatic version update by autodist

* Wed Feb 21 2024 Automatic Build System <autodist@openmamba.org> 115.8.0-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 115.7.0-1mamba
- automatic version update by autodist

* Wed Jan 10 2024 Automatic Build System <autodist@openmamba.org> 115.6.1-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 115.6.0-1mamba
- automatic version update by autodist

* Tue Dec 12 2023 Automatic Build System <autodist@mambasoft.it> 115.5.2-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 115.5.1-1mamba
- automatic version update by autodist

* Sat Nov 25 2023 Automatic Build System <autodist@mambasoft.it> 115.5.0-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 115.4.1-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 115.4.0-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 115.3.3-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 115.3.2-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 115.3.1-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 115.3.0-1mamba
- automatic version update by autodist

* Thu Sep 21 2023 Automatic Build System <autodist@mambasoft.it> 115.2.3-1mamba
- automatic version update by autodist

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 115.2.2-1mamba
- automatic version update by autodist

* Tue Sep 12 2023 Automatic Build System <autodist@mambasoft.it> 115.2.1-1mamba
- automatic version update by autodist

* Sun Sep 03 2023 Automatic Build System <autodist@mambasoft.it> 115.2.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2023 Automatic Build System <autodist@mambasoft.it> 102.10.0-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 102.9.1-1mamba
- automatic version update by autodist

* Thu Mar 16 2023 Automatic Build System <autodist@mambasoft.it> 102.9.0-1mamba
- automatic version update by autodist

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 102.8.0-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 102.7.2-1mamba
- automatic version update by autodist

* Wed Feb 01 2023 Automatic Build System <autodist@mambasoft.it> 102.7.1-1mamba
- automatic version update by autodist

* Sun Jan 22 2023 Automatic Build System <autodist@mambasoft.it> 102.7.0-1mamba
- automatic version update by autodist

* Wed Dec 21 2022 Automatic Build System <autodist@mambasoft.it> 102.6.1-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 102.6.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 102.5.1-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 102.5.0-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 102.4.2-1mamba
- automatic version update by autodist

* Sat Oct 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 102.4.1-2mamba
- rebuilt to restore librnp.so exclusion from requirements

* Thu Oct 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 102.4.1-1mamba
- update to 102.4.1

* Wed Oct 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 102.4.0-2mamba
- remove internal requirements for librnp.so

* Fri Oct 21 2022 Automatic Build System <autodist@mambasoft.it> 102.4.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2022 Automatic Build System <autodist@mambasoft.it> 102.3.3-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 102.3.2-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 91.10.0-1mamba
- automatic version update by autodist

* Sun May 22 2022 Automatic Build System <autodist@mambasoft.it> 91.9.1-1mamba
- automatic version update by autodist

* Thu May 05 2022 Automatic Build System <autodist@mambasoft.it> 91.9.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2022 Automatic Build System <autodist@mambasoft.it> 91.8.1-1mamba
- automatic version update by autodist

* Wed Apr 06 2022 Automatic Build System <autodist@mambasoft.it> 91.8.0-1mamba
- automatic version update by autodist

* Thu Mar 10 2022 Automatic Build System <autodist@mambasoft.it> 91.7.0-1mamba
- automatic version update by autodist

* Sun Mar 06 2022 Automatic Build System <autodist@mambasoft.it> 91.6.2-1mamba
- automatic version update by autodist

* Thu Feb 24 2022 Automatic Build System <autodist@mambasoft.it> 91.6.1-1mamba
- automatic version update by autodist

* Thu Feb 03 2022 Automatic Build System <autodist@mambasoft.it> 91.5.1-1mamba
- automatic version update by autodist

* Tue Dec 21 2021 Automatic Build System <autodist@mambasoft.it> 91.4.1-1mamba
- automatic version update by autodist

* Wed Dec 08 2021 Automatic Build System <autodist@mambasoft.it> 91.4.0-1mamba
- automatic version update by autodist

* Sun Nov 28 2021 Automatic Build System <autodist@mambasoft.it> 91.3.2-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 78.12.0-1mamba
- automatic version update by autodist

* Sun Jun 06 2021 Automatic Build System <autodist@mambasoft.it> 78.11.0-1mamba
- automatic version update by autodist

* Tue May 18 2021 Automatic Build System <autodist@mambasoft.it> 78.10.2-1mamba
- automatic version update by autodist

* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 78.10.1-1mamba
- automatic version update by autodist

* Thu Apr 29 2021 Automatic Build System <autodist@mambasoft.it> 78.10.0-1mamba
- automatic version update by autodist

* Sun Mar 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 78.9.0-2mamba
- install %tbdir/distribution/extensions and move langpacks here

* Sun Mar 28 2021 Automatic Build System <autodist@mambasoft.it> 78.9.0-1mamba
- automatic version update by autodist

* Fri Mar 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 78.8.1-2mamba
- use a pretrans <lua> script to fix updating %tbdir/dictonaries from directory to symlink

* Thu Mar 25 2021 Automatic Build System <autodist@mambasoft.it> 78.8.1-1mamba
- automatic version update by autodist

* Tue Mar 26 2019 Automatic Build System <autodist@mambasoft.it> 60.6.1-1mamba
- automatic version update by autodist

* Wed Mar 20 2019 Automatic Build System <autodist@mambasoft.it> 60.6.0-1mamba
- automatic version update by autodist

* Wed Mar 06 2019 Automatic Build System <autodist@mambasoft.it> 60.5.3-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 60.5.2-1mamba
- automatic version update by autodist

* Fri Feb 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 60.5.0-2mamba
- update vendor.js to endable system default language support

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 60.5.0-1mamba
- automatic version update by autodist

* Tue Jan 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 60.4.0-1mamba
- update to 60.4.0

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 45.1.0-1mamba
- update to 45.1.0

* Sat Feb 13 2016 Automatic Build System <autodist@mambasoft.it> 38.6.0-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Automatic Build System <autodist@mambasoft.it> 38.5.1-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 38.4.0-1mamba
- automatic version update by autodist

* Thu Oct 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 38.3.0-1mamba
- update to 38.3.0

* Mon Aug 17 2015 Automatic Build System <autodist@mambasoft.it> 38.2.0-1mamba
- automatic version update by autodist

* Sat Jul 11 2015 Automatic Build System <autodist@mambasoft.it> 38.1.0-1mamba
- automatic version update by autodist

* Sat Jun 27 2015 Automatic Build System <autodist@mambasoft.it> 38.0.1-1mamba
- automatic version update by autodist

* Fri Apr 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 31.6.0-2mamba
- remove obsolete for language packages

* Tue Apr 21 2015 Automatic Build System <autodist@mambasoft.it> 31.6.0-1mamba
- automatic version update by autodist

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 24.6.0-1mamba
- update to 24.6.0

* Sat Aug 10 2013 Automatic Build System <autodist@mambasoft.it> 17.0.8-1mamba
- automatic version update by autodist

* Mon Jul 15 2013 Automatic Build System <autodist@mambasoft.it> 17.0.7-1mamba
- automatic version update by autodist

* Sat May 18 2013 Automatic Build System <autodist@mambasoft.it> 17.0.6-1mamba
- automatic version update by autodist

* Sat Apr 06 2013 Automatic Build System <autodist@mambasoft.it> 17.0.5-1mamba
- automatic version update by autodist

* Tue Mar 12 2013 Automatic Build System <autodist@mambasoft.it> 17.0.4-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 17.0.3-1mamba
- automatic version update by autodist

* Fri Jan 11 2013 Automatic Build System <autodist@mambasoft.it> 17.0.2-1mamba
- automatic version update by autodist

* Wed Nov 21 2012 Automatic Build System <autodist@mambasoft.it> 17.0-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 16.0.2-1mamba
- automatic version update by autodist

* Sat Oct 13 2012 Automatic Build System <autodist@mambasoft.it> 16.0.1-1mamba
- automatic version update by autodist

* Tue Sep 11 2012 Automatic Build System <autodist@mambasoft.it> 15.0.1-1mamba
- automatic version update by autodist

* Sat Sep 01 2012 Automatic Build System <autodist@mambasoft.it> 15.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2012 Automatic Build System <autodist@mambasoft.it> 14.0-1mamba
- automatic version update by autodist

* Wed Jun 20 2012 Automatic Build System <autodist@mambasoft.it> 13.0.1-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Automatic Build System <autodist@mambasoft.it> 13.0-1mamba
- automatic version update by autodist

* Thu Apr 12 2012 Automatic Build System <autodist@mambasoft.it> 11.0.1-1mamba
- automatic version update by autodist

* Thu Apr 12 2012 Automatic Build System <autodist@mambasoft.it> 11.0-1mamba
- automatic version update by autodist

* Thu Nov 17 2011 Automatic Build System <autodist@mambasoft.it> 8.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Tue Sep 20 2011 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Wed Aug 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0-2mamba
- added devel package
- don't provide internal xul libraries also in sdk directory

* Sun Aug 21 2011 Automatic Build System <autodist@mambasoft.it> 6.0-1mamba
- automatic version update by autodist

* Sun Apr 10 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 3.1.9-4mamba
- changed libjpeg-turbo in libjpeg buildrequirement
- rebuilt with --enable-system-sqlite, the new libsqlite fix the SQLITE_SECURE_DELETE bug

* Tue Mar 22 2011 gil <puntogil@libero.it> 3.1.9-3mamba
- add gio support and remove libgnome-vfs support

* Wed Mar 16 2011 gil <puntogil@libero.it> 3.1.9-2mamba
- rebuilt with new libhunspell 1.3.2

* Wed Mar 09 2011 gil <puntogil@libero.it> 3.1.9-1mamba
- update to 3.1.9

* Fri Dec 10 2010 gil <puntogil@libero.it> 3.1.7-1mamba
- update to 3.1.7

* Sun Nov 28 2010 gil <puntogil@libero.it> 3.1.6-3mamba
- build thunderbird lightning extension

* Mon Nov 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.6-2mamba
- removed ac_add_options --enable-system-sqlite to avoid the bug with the SQLITE_SECURE_DELETE directive

* Fri Oct 29 2010 gil <puntogil@libero.it> 3.1.6-1mamba
- update to 3.1.6

* Sun Oct 24 2010 gil <puntogil@libero.it> 3.1.5-1mamba
- update to 3.1.5

* Sat Oct 09 2010 gil <puntogil@libero.it> 3.1.4-1mamba
- update to 3.1.4

* Thu Sep 16 2010 gil <puntogil@libero.it> 3.1.3-1mamba
- update to 3.1.3

* Sun Jul 25 2010 gil <puntogil@libero.it> 3.1.1-1mamba
- update to 3.1.1

* Mon Jun 28 2010 gil <puntogil@libero.it> 3.1-1mamba
- update to 3.1 (codename Lanikai beach)

* Fri Apr 02 2010 gil <puntogil@libero.it> 3.0.4-1mamba
- update to 3.0.4

* Tue Mar 02 2010 gil <puntogil@libero.it> 3.0.3-2mamba
- fix launch URL from Thunderbird 3.x to external browser

* Tue Mar 02 2010 gil <puntogil@libero.it> 3.0.3-1mamba
- update to 3.0.3

* Mon Jan 25 2010 gil <puntogil@libero.it> 3.0.1-1mamba
- update to 3.0.1

* Wed Dec 23 2009 gil <puntogil@libero.it> 3.0-4mamba
- edit configure options

* Mon Dec 21 2009 gil <puntogil@libero.it> 3.0-3mamba
- edit configure options

* Mon Dec 21 2009 gil <puntogil@libero.it> 3.0-2mamba
- rebuilt with system mozldap

* Thu Dec 10 2009 gil <puntogil@libero.it> 3.0-1mamba
- update to 3.0
- edit spec file
- added thunderbird-script

* Sat Aug 22 2009 gil <puntogil@libero.it> 2.0.0.23-1mamba
- update to 2.0.0.23

* Wed Jun 24 2009 gil <puntogil@libero.it> 2.0.0.22-1mamba
- update to 2.0.0.22

* Fri Mar 20 2009 gil <puntogil@libero.it> 2.0.0.21-1mamba
- update to 2.0.0.21

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.19-1mamba
- automatic update to 2.0.0.19 by autodist

* Wed Dec 03 2008 gil <puntogil@libero.it> 2.0.0.18-2mamba
-  edit prefs.js

* Thu Nov 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.18-1mamba
- update to 2.0.0.18

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.0.0.17-1mamba
- update to 2.0.0.17
- edit prefs.js

* Sat Jul 26 2008 gil <puntogil@libero.it> 2.0.0.16-1mamba
- update to 2.0.0.16

* Tue Jun 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.14-3mamba
- rebuild against system libnss
- change distribution name from "OpenMamba" to "openmamba"

* Thu May 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.14-2mamba
- fix automatic requirements
- remove conflict for seamonkey
- license field changed from MPL to MPL 1.1

* Sat May 03 2008 gil <puntogil@libero.it> 2.0.0.14-1mamba
- update to 2.0.0.14
- update thunderbird-2.0.0.14-langpacks
- add new buildrequires: libpixman-devel
- add conflicts: seamonkey

* Tue Apr 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.12-2mamba
- fixed automatic provides and requirements to avoid conflicts with thunderbird
- fixed group description

* Wed Apr 09 2008 gil <puntogil@libero.it> 2.0.0.12-1mamba
- package created by autospec
- copy from thunderbird.spec
- add thunderbird-2.0.0.12-langpacks.tar.bz2 
- add mozilla-thunderbird.desktop   
- add mozilla-thunderbird128x128.png
- add MAKEFLAGS="-j1"
- add LDFLAGS='-lX11 -lXrender'
